#ifndef __SCREENSHOTS____H__
#define __SCREENSHOTS____H__

#include <SDL.h>
#include <SDL_image.h>
#include "Log.h"

void screenshots_start(char* path);
void screenshots_destroy();

void screenshots_keyup(SDL_Keysym key);
Uint8 screenshots_is_scheduled();

// height is specified for cases when the screenshot will not include pixel rows
// at the bottom, such as when the pokes or the tape UIs must be hidden from screenshots
void screenshots_snap_and_save(SDL_Surface* surface, int height);

#endif  // !__SCREENSHOTS____H__
